=== debian/changelog ===
mediad (0.7) unstable; urgency=low

  * If parent device (e.g., sda) of a partition (sda1) arrives later, the
    model alias pointed to the partition (instead the device) and there
    was an error message. Now mediad waits max. 3s for the expected parent
    to trigger an event, too.
  * Avoid some races between threads.
  * Alias maintenance was reorganized. If, for example, two filesystems
    have the same name, the symlink isn't removed anymore with the wrong
    device. Also, symlinks can be made unique by inserting '#<n>' into the
    name. This is default for model names, and optional for labels.
  * mediad can also create UUID aliases, but this is not on by default.
  * The serial number of a device is logged, for convenience when
    you want to add the device to mediad.conf with a serial=="..." statement.
  * If a medium change is detected, symlinks are not removed and
    device, if this is not necessary.
  * New config options: label-unique, uuid-alias.

 -- Roman Hodek <roman@hodek.net>  Tue, 09 Jun 2009 18:58:05 +0200

mediad (0.6) unstable; urgency=low

  * Use "mount.$FSTYPE" helper binaries for filesystem where such a helper is
    available (instead directly using the mount() syscall).
  * New syntax "use FSTYPE2 instead FSTYPE1" in config file, to actually use
    FSTYPE2 when libvolume-id tells use FSTYPE1 to use. This can be used, for
    example, when you want 'ntfs-fuse' instead kernel 'ntfs'.
  * New blink feature: If there is "blink-led = <LEDNAME>" in the config file,
    the named keyboard LED ("ScrollLock", "NumLock", or "CapsLock") will
    blink slowly while some directory under /media is mounted. After
    everything is unmouted, it will blink fast for a short time. This might
    help to see when a medium isn't used anymore and can be removed.
  * Updated man pages.

 -- Roman Hodek <roman@hodek.net>  Fri, 22 Feb 2008 09:41:42 +0100

mediad (0.5) unstable; urgency=low

  * Suppress 'new /media/... available' message for full devices (i.e. the
    parent of partitions) when they contain no FS and child partitions exist.
  * Remove a few warnings about unused variables.

 -- Roman Hodek <roman@hodek.net>  Sat, 24 Feb 2007 18:11:52 +0100

mediad (0.4) unstable; urgency=low

  * Added an init script that reloads udev and explicitly starts mediad, for
    cases when udev was already started from a initrd and mediad.rules and/or
    mediad wasn't available there.

 -- Roman Hodek <roman@hodek.net>  Thu, 11 Jan 2007 19:05:14 +0100

mediad (0.3) unstable; urgency=low

  * Fix autofs kernel interface: With advent of new autofs5, the size of
    autofs_packet_union increased and the size isn't uniform across all
    packet types anymore, so a more complex handling is required.

 -- Roman Hodek <roman@hodek.net>  Thu, 26 Oct 2006 17:21:47 +0200

mediad (0.2) unstable; urgency=low

  * Use libvolume-id instead calling vol_id as separate process.
  * mediad.rules: many USB devices don't set the 'removable' bit, so run
    mediad unconditionally if ID_BUS is 'usb' or 'ieee1394'.
  * When replacing an existing mount, remove all aliases to avoid errors
    about existing symlinks.
  * mediad can now be called directly with the command "mediad start";
    this either says the daemon is already running, or starts it.
  
 -- Roman Hodek <roman@hodek.net>  Mon, 19 Jun 2006 15:44:41 +0200

mediad (0.1) unstable; urgency=low

  * Initial packaging.
  
 -- Roman Hodek <roman@hodek.net>  Sat, 21 Jan 2006 12:08:41 +0100
